package com.persagy.excel;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.util.List;

/**
 * @description: 处理excel导入是用到的的解析后的excel数据
 * @author:LuoGuangyi
 * @company:PersagyTechnologyCo.,Ltd
 * @since:2021/04/27 18:29
 * @version:V1.0
 **/
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Accessors
public class ExcelData {
    /**
     * 建筑
     */
    private String buildding;
    /**
     * 表号列表
     */
    private List<String> meterList;
    /**
     * 功能号列表
     */
    private List<String> funcidList;
    /**
     * 描述列表
     */
    private List<String> descriptionList;
    /**
     * 时间数值列表
     */
    private List<List<String>> dataList;

    /**
     * 是否动态导入
     * 动态导入需要websocket实时推送和回包,分精度计算应该依赖分精度计算程序
     * 静态导入瞬时数据量大, 不适合websocket推送和回包处理,容易导致北向服务处理不过来挂掉,需要走直接插入表的逻辑;
     * 静态导入可以直接生成分精度,同时考虑到分精度服务在同步计算,不修改分精度计算的表号-功能号和项目的的计算进度回拨,只是单纯插入数据
     */
    private Boolean dynamic = false;
}